Bug 179700 - text rendering for chinese characters in text box
text rendering for chinese characters in text box
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-02 00:25 EST by Lawrence Lim
Modified: 2014-03-25 20:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: firefox-1.5.0.6-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 03:38:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample test case (13.69 KB, text/plain)
2006-02-02 00:25 EST, Lawrence Lim
no flags Details
text alignment comparison between gedot and firefox (121.66 KB, image/png)
2006-02-02 00:30 EST, Lawrence Lim
no flags Details
screenshot took in firefox-1.5.0.6-11. (189.36 KB, image/png)
2006-09-11 03:19 EDT, Nicole Dai
no flags Details

  None (edit)
Description Lawrence Lim 2006-02-02 00:25:53 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start firefox with zh_CN.UTF-8 or zh_TW.UTF-8 locale
2.copy some of the characters  found under zh_CN or zh_TW lcoale 
3.
  
Actual results:
characters are unaligned with mix of normal and bold fonts

Expected results:
should be uniform like pasting into gedit application

Additional info:
Comment 1 Lawrence Lim 2006-02-02 00:25:53 EST
Created attachment 124029 [details]
sample test case
Comment 2 Lawrence Lim 2006-02-02 00:28:40 EST
My bad, I submitted the bug too quickly. 

Description of problem:
Rendering of chinese characters in text box display a combination of bold and
normal glyph. In addtion, the glyphs are not properly aligned.

Version-Release number of selected component (if applicable):
firefox-1.5-5
Comment 3 Lawrence Lim 2006-02-02 00:30:33 EST
Created attachment 124030 [details]
text alignment comparison between gedot and firefox
Comment 4 Akira TAGOH 2006-09-06 09:54:44 EDT
Can you still reproduce this issue on the latest firefox?
Comment 5 Nicole Dai 2006-09-11 03:19:26 EDT
Created attachment 135972 [details]
screenshot took in firefox-1.5.0.6-11.

It looks no problem in firefox-1.5.0.6-11. Please refer to attached screenshot.
Comment 6 Lawrence Lim 2006-09-11 03:38:30 EDT
Thanks for the verification.

Note You need to log in before you can comment on or make changes to this bug.